/*Catalog Start*/
.for-mobile {
    display: none;
}
.catalog {
    padding-block: var(--section-padding-block);
}
.catalog-container {
    --catalog-sidebar-width: 16.5625rem;

    grid-template-columns: var(--catalog-sidebar-width) 1fr;
    gap: 3.125rem;
}
.catalog-container .products {
    --add-to-cart-offset: .3125rem;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2.5rem 2.1875rem;
    margin-top: 1.875rem;
}
.catalog-container .content-area {
    order: 1;
}
.catalog-container .widget-area {
    width: 100%;
    height: fit-content;
}
.catalog-container .widget-area .shop-sidebar-container {
    gap: 2.5rem;
    padding: 1.875rem;
    background: var(--color-white-1);
    border-radius: var(--border-radius-second);
}

.product-item-inner {
    gap: .625rem;
}
.product-item-image {
    display: block;
    max-width: calc(100% - var(--add-to-cart-offset));
    aspect-ratio: 1;
}
.btn-product.btn-product-catalog {
    margin-top: calc(-1 * (var(--btn-size) - 1.125rem));
}
.product-item-category {
    font-size: 1rem;
    color: rgba( var(--color-black-rgb-1), .4 );
    width: fit-content;
}
.product-item-name {
    font-size: 1.125rem;
    margin-top: .625rem;
    max-width: calc(100% - var(--add-to-cart-offset));
}

.product-item-bottom {
    max-width: calc(100% - var(--add-to-cart-offset));
}
.product-item-review {
    gap: .25rem;
}
.product-item-rating {
    position: relative;
    color: var(--color-yellow-1);
    width: fit-content;
}
.product-item-rating .stars-icon-full {
    position: absolute;
    top: 0; left: 0;
    width: calc( var(--product-rating) / 5 * 100% );
    overflow: hidden;
}
.product-item-rating svg {
    width: 7rem;
    height: auto;
}
.product-item-price {
    font-size: 1.25rem;
    margin-top: .625rem;
}

.catalog-content-controls {
    margin-top: 1.875rem;
}
.catalog-content-controls-inner {
    width: 100%;
    padding-block: .5625rem;
    padding-inline: 1.875rem .625rem;
    border: .0625rem solid var(--color-blue-2);
}
.catalog-content-controls-inner .woocommerce-ordering {
    display: none;
}
.catalog-filter-open, .catalog-filter-close {
    display: none;
}
.woocommerce-result-count {
    font-size: 1.125rem;
    line-height: 1.33;
}

.catalog-sorting {
    --sorting-inner-offset: 1.25rem;
    font-size: 1.125rem;
    line-height: 1;
}
.sorting-toggle {
    gap: .5rem;
    width: 16.375rem;
    background: var(--color-blue-4);
    padding-block: .9375rem;
    padding-inline: var(--sorting-inner-offset);
}
.sorting-toggle-icon {
    --sort-icon-width: .625rem;
    width: var(--sort-icon-width);
    height: var(--sort-icon-width);
    transition: transform 0.2s ease-in;
}
.sorting-toggle-icon svg {
    width: var(--sort-icon-width);
    height: .375rem;
}
.catalog-sorting.active .sorting-toggle-icon {
    transform: rotate(-180deg);
}
.sorting-dropdown {
    position: absolute;
    top: calc(100% + .25rem);
    z-index: 1;
    width: 100%;
    background: var(--color-blue-4);
    padding: calc( var(--sorting-inner-offset) + .125rem ) var(--sorting-inner-offset);
    pointer-events: none;
    opacity: 0;
    transition: all 0.2s ease-in;
}
.sorting-dropdown.active {
    opacity: 1;
    pointer-events: auto;
}
.sorting-dropdown-item {
    gap: .625rem;
    margin-top: .625rem;
}
.sorting-dropdown-item:first-child {
    margin-top: 0;
}
.sorting-dropdown-item.selected {
    font-weight: 700;
}

.woocommerce-no-products-found {
    margin-top: 1.875rem;
}
.woocommerce-no-products-found .woocommerce-info {
    font-size: 1.25rem;
}

.product .added_to_cart.wc-forward {
    display: none;
}

/*Media*/
@media (min-width:992px) and (max-width:1440px) {}
@media (max-width:991px) {
    .catalog {
        padding-top: .625rem;
    }

    .catalog-container {
        grid-template-columns: 1fr;
    }

    .catalog-content-controls {
        gap: 1.125rem .625rem;
    }
    .catalog-filter-open {
        display: flex;
        gap: .625rem;

        font-size: 1.125rem;
        padding-block: .5rem;
        padding-inline: 1.25rem;
        background: var(--color-blue-1); 
    }
    .catalog-filter-open svg {
        width: 1.25rem;
        height: auto;
    }
    .catalog-content-controls-inner {
        flex-grow: 1;
        width: auto;
        padding-block: .4375rem;
    }
    .woocommerce-result-count {
        font-size: 1rem;
    }
    .catalog-sorting {
        font-size: 1rem;
    }
    .sorting-toggle {
        width: 14.875rem;
    }

    .catalog-container .products {
        grid-template-columns: repeat(3, 1fr);
        gap: 1.875rem 1.5rem;
    }

    .product-item-category {
        font-size: .875rem;
    }
    .product-item-name {
        font-size: 1rem;
        margin-top: .3125rem;
    }
    .item-reviews-count {
        font-size: .875rem;
    }

    .btn-product.btn-product-catalog {
        margin-top: calc(-1 * (var(--btn-size) - .875rem));
    }

    .catalog-container .widget-area {
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        overflow-y: scroll;
        transform: translateX(-100%);
        transition: var(--transition-main);
        z-index: 101;
        padding: 2.5rem;
        background: var(--color-white-1);
    }
    .catalog-container .widget-area.open {
        transform: translateX(0);
    }
    .catalog-container .widget-area .shop-sidebar-container {
        gap: 1.875rem 1.25rem;
        flex-direction: row;
        padding: 0;
        background: transparent;
    }

    .shop-sidebar-container .widget {
        min-width: 14.6875rem;
    }

    .catalog-filter-close {
        --shop-filter-close-size: 2.5rem;
        display: flex;
        position: absolute;
        top: 2.5rem;
        right: 2.5rem;
        width: var(--shop-filter-close-size);
        height: var(--shop-filter-close-size);
        color: rgba( var(--color-black-rgb-1), .4 );
    }
    .catalog-filter-close svg {
        width: 1.5rem;
        height: auto;
    }

    .woocommerce-no-products-found .woocommerce-info {
        font-size: 1.125rem;
    }

}
@media (max-width:600px) {
    .catalog-content-controls {
        margin-top: 1.25rem;
    }
    .catalog-container .products {
        grid-template-columns: repeat(2, 1fr);
        column-gap: .9375rem;
        margin-top: 1.25rem;
    }
    .catalog-filter-open {
        font-size: .875rem;
        padding: .5rem 1rem;
    }
    .catalog-filter-open svg {
        width: 1.0625rem;
    }
    .catalog-content-controls-inner {
        width: fit-content;
        border: none;
        padding: 0;
    }
    .woocommerce-result-count {
        font-size: .8125rem;
    }
    .catalog-content-controls-inner .woocommerce-result-count {
        display: none;
    }
    .catalog-sorting {
        --sorting-inner-offset: 1rem;

        flex-grow: 1;
        max-width: 100%;
        font-size: .875rem;
    } 
    .sorting-toggle {
        min-width: 13rem;
        width: 100%;
        padding-block: .8125rem;
    }

    .for-mobile {
        display: block;
    }

    .woocommerce-no-products-found {
        margin-top: 1.25rem;
    }
    .woocommerce-no-products-found .woocommerce-info {
        font-size: .875rem;
    }
}
/*Catalog End*/
/*Pagination Start*/
.woocommerce-pagination ul.page-numbers {
    display: flex;
    gap: .625rem;
    align-items: center;
    margin-top: 3.125rem;
}
.woocommerce-pagination ul.page-numbers li {
    --pagination-item-size: 3.125rem;

    font-size: 1.125rem;
    line-height: 1;
    font-weight: bold;
}
.woocommerce-pagination ul.page-numbers li :where(a, span) {
    display: flex;
    align-items: center;
    justify-content: center;
    width: var(--pagination-item-size);
    height: var(--pagination-item-size);
    border-radius: 50%;
    background: transparent;
}
.woocommerce-pagination ul.page-numbers li :where(span.current) {
    background: var(--color-blue-1);
    color: var(--color-white);
}
@media (any-hover: hover) {
    .woocommerce-pagination ul.page-numbers li:hover a {
        background: var(--color-blue-1);
        color: var(--color-white);
    }
}
.woocommerce-pagination ul.page-numbers li svg {
    width: .625rem;
    height: auto;
}

/*Media*/
@media (max-width:600px) {
    .woocommerce-pagination ul.page-numbers li {
        --pagination-item-size: 2.5rem;

        font-size: .875rem;
    }
    .woocommerce-pagination ul.page-numbers li svg {
        width: .4375rem;
    }
}
/*Pagination End*/